function loadHandling(v)
	local engine = getElementData(v, "tuning.engine") or 1
	local turbo = getElementData(v, "tuning.turbo") or 1
	local tires = getElementData(v, "tuning.tires") or 1
				--Motor
				if engine == 1 then
					engineAcceleration = 0
					maxVelocity = 0
				elseif engine == 2 then
					engineAcceleration = 0.6
					maxVelocity = 20
				elseif engine == 3 then
					engineAcceleration = 0.9
					maxVelocity = 25
				elseif engine == 4 then
					engineAcceleration = 1.4
					maxVelocity = 31
				elseif engine == 5 then
					engineAcceleration = 2.8
					maxVelocity = 90
				end
	
				--Turbo
				if turbo == 1 then
					engineInertia = 0
				elseif turbo == 2 then
					engineInertia = 7
				elseif turbo == 3 then
					engineInertia = 5
				elseif turbo == 4 then
					engineInertia = 3.5
				elseif turbo == 5 then
					engineInertia = 1.5
				end
	
				--Gumik
				if tires == 1 then
				tractionLoss = 0
				elseif tires == 2 then
					tractionLoss = 0.06
					tractionMultiplier = 0.2
				elseif tires == 3 then
					tractionLoss = 0.11
					tractionMultiplier = 0.25
				elseif tires == 4 then
					tractionLoss = 0.2
					tractionMultiplier =0.35
				elseif tires == 5 then
					tractionLoss = 0.8
					tractionMultiplier =1.70
				end
if getElementModel(v) == 490 then 		-------------------/ ID DO VEICULO
		setVehicleHandling(v, "mass", 4550)
		setVehicleHandling(v, "turnMass", 12500)
		setVehicleHandling(v, "dragCoeff", 1.7)
		setVehicleHandling(v, "centerOfMass", { 0, 0.15, -0.6 } )
		setVehicleHandling(v, "percentSubmerged", 75)
		setVehicleHandling(v, "tractionMultiplier", 1)
		setVehicleHandling(v, "tractionLoss", 1)
		setVehicleHandling(v, "tractionBias", 0.497)
		setVehicleHandling(v, "numberOfGears", 6)
		setVehicleHandling(v, "maxVelocity", 999) -------------------/ VELOCIDADE MÀXIMA
		setVehicleHandling(v, "engineAcceleration", 43) -------------------/ FORÇA DE ACELERAÇÃO
		setVehicleHandling(v, "engineInertia", 50)
		setVehicleHandling(v, "driveType", "awd") -------------------/ TIPO DE TRAÇÃO
		setVehicleHandling(v, "engineType", "petrol")
		setVehicleHandling(v, "brakeDeceleration", 18)
		setVehicleHandling(v, "ABS", true)
		setVehicleHandling(v, "steeringLock", 47)
		setVehicleHandling(v, "collisionDamageMultiplier", 0.2)
		setVehicleHandling(v, "headLight", 0)
		setVehicleHandling(v, "tailLight", 1)
		setVehicleHandling(v, "animGroup", 0)
		setVehicleHandling(v, "suspensionUpperLimit", 0.2)
		setVehicleHandling(v, "suspensionLowerLimit", 1)
	end
end

function loadHandlings()
for k, v in ipairs(getElementsByType("vehicle")) do
	loadHandling(v)
end
end
addEventHandler("onResourceStart", getResourceRootElement(getThisResource()), loadHandlings)

function vehicleEnter()
loadHandling(source)
end
addEventHandler("onVehicleEnter", getRootElement(), vehicleEnter)